View Issue Details

IDProjectCategoryView StatusLast Update
0002197SymmetricDSBugpublic2015-02-17 16:44
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.6 
Target Version3.7.7Fixed in Version3.7.7 
Summary0002197: Right before a node loads registration configuration, clear out sym_data on the config channel
DescriptionRight before a node loads registration configuration, clear out sym_data on the config channel. This will prevent captured sym_node table deletes from being routed back to the host and essentially unregistering the node that just registered.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 7ef4d4a5

2015-02-15 09:17:20

chenson

Details Diff
0002197: Right before a node loads registration configuration, clear out sym_data on the config channel
0002197
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File

Issue History

Date Modified Username Field Change
2015-02-15 09:11 chenson New Issue
2015-02-15 09:11 chenson Status new => assigned
2015-02-15 09:11 chenson Assigned To => chenson
2015-02-15 09:19 chenson Status assigned => resolved
2015-02-15 09:19 chenson Fixed in Version => 3.7.7
2015-02-15 09:19 chenson Resolution open => fixed
2015-02-15 10:00 chenson Changeset attached => SymmetricDS trunk r9365
2015-02-17 16:44 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7ef4d4a5